<app-collection-mediator  [service]="topologyService">
    <ng-template #itemTemplate let-model="context">
        <ng-container *ngIf="toItem(model); let item">
            <a class="button collection-item-link" [routerLink]="['/Database/Topology/', item.id]">
                <img [alt]="item.cpuVendor +  'logo'" [src]="imageLinksService.getCpuImageLink(item.cpuVendor)"
                     class="collection-item-icon" loading="lazy">
                <span class="collection-item-name">
                    {{item.cpuModelName}} <br>
                    {{item.totalPackages}}xP/{{item.totalNumaNodes}}xN/{{item.totalPhysicalCores}}xC/{{item.totalLogicalCores}}xT
                </span>
            </a>
        </ng-container>
    </ng-template>
</app-collection-mediator >
<b>
    Legend:
</b>
<div>
    <b>P</b>=Packages, <b>N</b>=Numa Nodes, <b>C</b>=Cores, <b>T</b>=Threads
</div>
